RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

Always use the enumeration rather than the enumeration to specify a calling convention in managed code. The latter exists only for the sake of COM definitions. The enumeration is used by and several classes in to dynamically emit platform invoke signatures.

Specifies the calling convention required to call methods implemented in unmanaged code.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.CallingConvention Cdecl To be added.

  The caller cleans the stack. This enables calling functions with varargs, which makes it appropriate to use for methods that accept a variable number of parameters, such as Printf.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.CallingConvention FastCall To be added.

  This calling convention is not supported.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.CallingConvention StdCall To be added.

  The callee cleans the stack. This is the default convention for calling unmanaged functions with platform invoke.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.CallingConvention ThisCall To be added.

  The first parameter is the this pointer and is stored in register ECX. Other parameters are pushed on the stack. This calling convention is used to call methods on classes exported from an unmanaged DLL.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.CallingConvention Winapi To be added.

  This member is not actually a calling convention, but instead uses the default platform calling convention. For example, on Windows the default is and on Windows CE.NET it is .

0